# Created by pyp2rpm-3.3.5
%define pypi_name nbclient

%bcond_with check

Name:           jupyter-%{pypi_name}
Version:        0.9.0
Release:        %mkrel 3
Summary:        A client library for executing notebooks
Group:          Development/Python

License:        BSD
URL:            https://jupyter.org
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
NBClient, a client library for programmatic notebook execution, is a tool for
running Jupyter Notebooks in different execution contexts. NBClient was spun
out of nbconvert (formerly ExecutePreprocessor). NBClient lets you execute
notebooks.

%package -n     python3-%{name}
Summary:        A client library for executing notebooks (Python 3)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
NBClient, a client library for programmatic notebook execution, is a tool for
running Jupyter Notebooks in different execution contexts. NBClient was spun
out of nbconvert (formerly ExecutePreprocessor). NBClient lets you execute
notebooks.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nbclient

%if %{with check}
%check
# disable test_startnewkernel_with_kernelmanager, test_start_new_kernel_history_file_setting
# and test_sync_kernel_manager
%pytest -v -k 'not test_startnewkernel_with_kernelmanager and not test_start_new_kernel_history_file_setting and not test_sync_kernel_manager'
%endif

%files -n python3-%{name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/jupyter-execute


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.9.0-3.mga10
+ Revision: 2240796
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.9.0-2.mga10
+ Revision: 2157759
- rebuild for python3.13

* Tue Dec 26 2023 wally <wally> 0.9.0-1.mga10
+ Revision: 2021872
- new version 0.9.0
- disable tests due to circular deps

* Sat Mar 04 2023 daviddavid <daviddavid> 0.7.2-1.mga9
+ Revision: 1947096
- new version: 0.7.2

* Fri Nov 04 2022 papoteur <papoteur> 0.7.0-1.mga9
+ Revision: 1902912
- new 0.7.0

* Tue Jun 28 2022 papoteur <papoteur> 0.6.4-1.mga9
+ Revision: 1866458
- new 0.6.4

* Wed Mar 30 2022 umeabot <umeabot> 0.5.3-5.mga9
+ Revision: 1833864
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 tv <tv> 0.5.3-4.mga9
+ Revision: 1783566
- Rebuild with checks now that nbclient <-> nbconvert deps cycle has been rebuild with py3.10

* Wed Feb 23 2022 tv <tv> 0.5.3-3.mga9
+ Revision: 1783562
- Bootstrap w/o running checks b/c of jupyter-nbclient <-> jupyter-nbconvert deps cycle
- Rebuild for python-3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 0.5.3-2.mga9
+ Revision: 1708354
- non bootstrap build (enable tests)

* Tue Mar 23 2021 daviddavid <daviddavid> 0.5.3-1.mga9
+ Revision: 1708324
- bootstrap build (without tests)
- fix python3 pkg name
- initial package jupyter-nbclient

